/**
 * Payloads module configuration
 * This is a template for CMake to generate a config file
 */

#ifndef LPLDGEN_CONF_PAYLOADS_H
#define LPLDGEN_CONF_PAYLOADS_H

// Include the JSON and pretty-print export functions.
#cmakedefine01 PLD_HAVE_EXPORT

// Include payload functions that use dynamic allocation.
// This option is required for the non-`_s` functions. (i.e. `pld_parse()`)
//
// Default = ON
#cmakedefine01 PLD_HAVE_ALLOC

// Include the internal logging system, useful for debugging.
// The `pld_log_write()` function must be provided externally to use logging.
//
// Default = OFF
#cmakedefine01 PLD_HAVE_LOGGING

// Have build functions verify payload ID.
// Values: 0 ... disabled, 1 ... always, 2 ... if given (do not validate if id = 0)
//
// Default = 2
#define PLD_BUILD_FUNCS_CHECK_ID @PLD_BUILD_FUNCS_CHECK_ID@

#endif //LPLDGEN_CONF_PAYLOADS_H
